| Home | Libraries | People | FAQ | More

## Struct template as_min_base<Arg, typename enable_if< is_floating_point< Arg > >::type>

boost::numeric::functional::as_min_base<Arg, typename enable_if< is_floating_point< Arg > >::type>

## Synopsis

    // In header: <boost/accumulators/numeric/functional.hpp>

    template<typename Arg>
    struct as_min_base<Arg, typename enable_if< is_floating_point< Arg > >::type> :
      public std::unary_function< Arg, remove_const< Arg >::type >
    {

      // public member functions
       BOOST_STATIC_ASSERT(std::numeric_limits< typename remove_const< Arg >::type >::is_specialized);
      remove_const< Arg >::type operator()(Arg &) const;
    };

## Description

### `as_min_base` public member functions

1.      BOOST_STATIC_ASSERT(std::numeric_limits< typename remove_const< Arg >::type >::is_specialized);

2.     remove_const< Arg >::type operator()(Arg &) const;